Subject: Re: [PATCH v2] fetch: support hideRefs to speed up connectivity checks

From: Eric Wong <[email-masked]>
Date: Thu, 16 Feb 2023 01:32:37 +0000

Jeff King <[email-masked]> wrote:
> On Mon, Feb 13, 2023 at 11:30:35PM +0000, Philip Oakley wrote:
> > On 13/02/2023 20:53, Jeff King wrote:
> > > On Sun, Feb 12, 2023 at 09:04:26AM +0000, Eric Wong wrote:
> > >
> > >>  Sidenote: I'm curious about the reason $(pwd) is used in some
> > >>  places while $PWD seems fine in others, so it doesn't seem to be
> > >>  a portability problem.  I chose $PWD since it's faster.
> > > It sometimes matters; one is a Windows path (with "C:\", etc) and one is
> > > a Unix-style path. Many spots are happy with either type, but it
> > > sometimes bites us when doing string comparisons, or in a few specific
> > > cases. See
> > >
> > >   https://lore.kernel.org/git/[email-masked]/
> > >
> > > for an example.
> > >
> > There is guidance in t/README L680-684 though it maybe not that easy to
> > spot.
> > 
> > A more recent patch was
> > https://lore.kernel.org/git/[email-masked]/
> > with slightly more details.
> 
> Thanks, both explanations are much better than the one I found (my
> digging in the archive consisted of "I know JSixt has corrected me on
> this at least once...").

Thanks both.  Looks like my use of GIT_TRACE="$PWD"/trace is
fine and there's plenty of examples where $PWD is used for
GIT_TRACE* in our test suite (`git grep GIT_TRACE.*PWD')

Any comments on the actual change itself?  Thanks again.